"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayoutPicker = void 0;
const React = require("react");
const b_engine_gameengine_1 = require("b-engine-gameengine");
const GameStateChangeEventListener_1 = require("./GameStateChangeEventListener");
class LayoutPicker extends React.Component {
    constructor(props) {
        super(props);
        this._core = b_engine_gameengine_1.Core.getInstance();
        this._storeKeeper = b_engine_gameengine_1.StoreKeeper.getInstance();
        this.state = {
            gameState: 'none',
        };
        this._gameStateChangeEventListener = new GameStateChangeEventListener_1.GameStateChangeEventListener(this);
        this._storeKeeperEventListener = new b_engine_gameengine_1.StoreKeeperListener(this);
        this.switchLayout = this.switchLayout.bind(this);
    }
    componentWillMount() {
        this._core.gameStateHandler.eventHandler.add(this._gameStateChangeEventListener);
        this._storeKeeper.eventHandler.add(this._storeKeeperEventListener);
    }
    componentWillUnmount() {
        this._core.gameStateHandler.eventHandler.remove(this._gameStateChangeEventListener);
        this._storeKeeper.eventHandler.remove(this._storeKeeperEventListener);
    }
    switchLayout(state) {
        this.setState({
            gameState: this.props.layouts[state],
        });
    }
    render() {
        return React.createElement("div", { className: "layout-container" }, this.state.gameState);
    }
    storeItemAdd(e) {
        console.log('added', e);
    }
    storeItemDelete(e) {
        console.log('deleted', e);
    }
    storeItemPut(e) {
        console.log('putted', e);
    }
}
exports.LayoutPicker = LayoutPicker;
//# sourceMappingURL=LayoutPicker.js.map